Bug 817703 - (oxygen-gtk) input to Evolution compose window disabled if mouse used to access dropdowns such as email address
(oxygen-gtk) input to Evolution compose window disabled if mouse used to acce...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 20:01 EDT by Brendan Minish
Modified: 2013-07-31 23:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:55:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 675180 None None None Never
KDE Software Compilation 299121 None None None Never

  None (edit)
Description Brendan Minish 2012-04-30 20:01:23 EDT
Description of problem: When running Evolution on KDE and Composing an email If anything is selected from the drop down areas of the compose window using the mouse pointer (change from address,plain text/HTML, normal/pre-formatted, etc) all further text input is disabled 


Version-Release number of selected component (if applicable): 
Evolution 3.4.1 
GTK 3-3.4.1-1
Qt: 4.8.1
KDE Development Platform: 4.8.2 (4.8.2)
kde4-config: 1.0


Reproducible: Always 
Steps to Reproduce: 

1.Desktop KDE, System settings,common appearance & behaviour,application settings, GTK+ Appearance, Widget style oxygen-gtk. 
2. Log out, log in to ensure these settings are applied 
3. open evolution 
4. compose new mail, type a little to confirm input working 
5. click on from address, change from normal to pre-formatted 
6. Click again on main compose area, Input from keyboard is now blocked. 
7. Save as draft, re-open this draft and keyboard input functional again. 
8. change from address with mouse and keyboard input is disabled Actual 

Results: Further Keyboard input is blocked after accessing the dropdown menus in the compose window with the mouse (ok if TAB key is used) 

Expected Results: Keybpard input should not be blocked As a work around changing the GTK+ Style to Adwaita, logging out then back in again completely avoids the issue (everything works as it should in evolution) 

Additional info: This bug is also in Fedora16 as of recent updates (01/05/2012) with identical symptoms. Issue is not present under Gnome or XFCE desktops.  
F16 system x86 64Bit.
F17 system x86 64Bit. 


Bug report filed to KDE devs (based on F16 Occurrence), They say it's a GTK issue. 
see: https://bugs.kde.org/show_bug.cgi?id=299121

Bug report then filed on Gnome Bugzilla 
see: https://bugzilla.gnome.org/show_bug.cgi?id=675180
Comment 1 Rex Dieter 2012-05-01 07:39:42 EDT
details from the relevant oxygen-gtk link above:

-----------------------------

... Try deleting/commenting out the line with appears-as-list in /usr/share/themes/oxygen-gtk/gtk-3.0/gtk.css, and you'll see that this bug no longer reproduces. If you confirm this behaviour, then this isn't our bug.
...


I confirm that removing the following line (line 39) from
/usr/share/themes/oxygen-gtk/gtk-3.0/gtk.css

-GtkComboBox-appears-as-list: 1px;

stops the bug reproducing.
...


it's not entirely clear if this is evolution-specific or a gtk3 bug, but I'm tempted to consider this the latter until shown otherwise for now (triaging).
Comment 2 Brendan Minish 2012-05-01 09:14:37 EDT
I tried a yum downgrade of evolution and this did not resolve the issue, so I suspect that this may also point to this issue being a GTK3 bug.
Comment 3 Matthias Clasen 2012-05-17 09:42:43 EDT
Should be fixed with http://git.gnome.org/browse/gtk+/commit/?id=16458b0de2203a0956c55f21d18e6af916e4c066
Comment 4 Fedora End Of Life 2013-07-03 20:20:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 23:55:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.